Package fr.gouv.vitam.access.internal.common.model

# Class AccessInternalConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.access.internal.common.model.AccessInternalConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class AccessInternalConfiguration extends DefaultVitamApplicationConfiguration
AccessConfiguration contains database access informations

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessInternalConfiguration()`
  AccessConfiguration empty constructor for YAMLFactory
  `AccessInternalConfiguration(String urlMetaData)`
  AccessConfiguration constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getUrlMetaData()`
  getter UrlMetaData
  `String`
  `getUrlProcessing()`
  `String`
  `getUrlWorkspace()`
  `AccessInternalConfiguration`
  `setUrlMetaData(String urlMetaData)`
  setter UrlMetaData
  `AccessInternalConfiguration`
  `setUrlProcessing(String urlProcessing)`
  `AccessInternalConfiguration`
  `setUrlWorkspace(String urlWorkspace)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, setBaseUri, setBaseUrl`

- ## Constructor Details

  - ### AccessInternalConfiguration

    public AccessInternalConfiguration()
    AccessConfiguration empty constructor for YAMLFactory

  - ### AccessInternalConfiguration

    public AccessInternalConfiguration(String urlMetaData)
    AccessConfiguration constructor
    Parameters:
      `urlMetaData` - the url of metadata server

- ## Method Details

  - ### getUrlMetaData

    public String getUrlMetaData()
    getter UrlMetaData
    Returns:
      -url MetaData for type String

  - ### setUrlMetaData

    public AccessInternalConfiguration setUrlMetaData(String urlMetaData)
    setter UrlMetaData
    Parameters:
      `urlMetaData` - the url of metadata server
    Returns:
      this

  - ### getUrlWorkspace

    public String getUrlWorkspace()
    Returns:
      the urlWorkspace

  - ### setUrlWorkspace

    public AccessInternalConfiguration setUrlWorkspace(String urlWorkspace)
    Parameters:
      `urlWorkspace` - the urlWorkspace to set
    Returns:
      this

  - ### getUrlProcessing

    public String getUrlProcessing()
    Returns:
      the urlProcessing

  - ### setUrlProcessing

    public AccessInternalConfiguration setUrlProcessing(String urlProcessing)
    Parameters:
      `urlProcessing` - the urlProcessing to set
    Returns:
      this